## firmware-nonfree 20250613

=== debian/changelog ===
firmware-nonfree (20250613-1) experimental; urgency=medium

  * New upstream version:
    - amdgpu: DMCUB updates for various ASICs
    - amdgpu: updates for dcn 3.20 and dcn 4.01 firmware to 0.1.10.0
    - ath12k: WCN7850 hw2.0: update to
      WLAN.HMT.1.1.c5-00284.1-QCAHMTSWPL_V1.0_V2.0_SILICONZ-3
    - brcm: Add symlinks for Khadas VIM SDIO wifi config to AW-CM256SM.txt
    - brcmfmac: Add a couple of NanoPi devices
    - cirrus: cs35l41: Add Firmware for ASUS NUC using CS35L41
    - cirrus: cs35l41: Add Firmware for various ACER Laptops using CS35L41 HDA
    - cirrus: cs35l41: Add Firmware for various HP Agusta Laptops using
      CS35L41 HDA
    - cirrus: cs35l41: Fix firmware links for several ASUS laptops
    - cnm: update chips&media wave521c firmware.
    - i915: Update GUC to v70.45.2 for DG2
    - ice: update comms package to 1.3.55.0
    - ice: update package to 1.3.43.0
    - ice: update wireless_edge package to 1.3.23.0
    - Intel IPU7: Add firmware binary files
    - intel: avs: Update topology file for Digital Microphone Array
    - intel_vpu: Update NPU firmware
    - iwlwifi: update 7265D firmware
    - iwlwifi: update cc/Qu/QuZ firmwares for core96-76 release
    - iwlwifi: update firmwares for 8000 series
    - iwlwifi: update ty/So/Ma firmwares for core96-76 release
    - mediatek MT7921: update bluetooth firmware to 20250523111333
    - mediatek MT7922: update bluetooth firmware to 20250523103438
    - mediatek MT7925: update bluetooth firmware to 20250526153203
    - mediatek: Add mt8196 VCP firmware
    - nvidia: add GSP-RM version 570.144 firmware images
    - powervr: add firmware for Imagination Technologies BXS-4-64 GPU
    - QCA: Update WCN785x btusb firmware to 2.0.0-00799-5
    - qcom: add QUPv3 firmware for QCM6490 platform
    - qcom: add QUPv3 firmware for QCS8300 platform
    - qcom: sc8280xp: FW blob updates for X13s
    - qcom: sc8280xp: Updated power FW for X13s
    - rtl_bt: Update RTL8822C BT USB and UART firmware to 0x7C20
    - rtl_nic: add firmware rtl8127a-1
    - rtl_nic: update firmware of RTL8153A
    - Update firmware file for Intel BlazarI core
    - Update firmware file for Intel BlazarU core
    - Update firmware file for Intel Magnetar core
    - Update firmware file for Intel Pulsar core
    - Update firmware file for Intel Quasar core
    - Update firmware file for Intel Solar core
    - update firmware for MT7916
    - update firmware for MT7921 WiFi device
    - update firmware for MT7922 WiFi device
    - update firmware for MT7925 WiFi device
    - update firmware for MT7981
    - update firmware for MT7986
    - xe: Update GUC to v70.45.2 for BMG, LNL
    - xe: Update LNL GSC to v104.0.5.1429

 -- Ben Hutchings <benh@debian.org>  Thu, 19 Jun 2025 15:04:00 +0200

firmware-nonfree (20250509-1) experimental; urgency=medium

  * New upstream version:
    - amdgpu: update aldebaran firmware
    - amdgpu: update arcturus firmware
    - amdgpu: update beige goby firmware
    - amdgpu: update dcn 4.01 firmware to 0.1.8.0
    - amdgpu: update dcn 4.01 frmware to 0.1.6.0
    - amdgpu: update dimgrey cavefish firmware
    - amdgpu: update gc 11.0.0 firmware
    - amdgpu: update gc 11.0.1 firmware
    - amdgpu: update gc 11.0.2 firmware
    - amdgpu: update gc 11.0.3 firmware
    - amdgpu: update gc 11.0.4 firmware
    - amdgpu: update gc 11.5.1 firmware
    - amdgpu: update gc 11.5.2 firmware
    - amdgpu: update gc 12.0.0 firmware
    - amdgpu: update gc 12.0.1 firmware
    - amdgpu: update gc 9.4.3 firmware
    - amdgpu: update gc 9.4.4 firmware
    - amdgpu: update navi10 firmware
    - amdgpu: update navi12 firmware
    - amdgpu: update navi14 firmware
    - amdgpu: update navy flounder firmware
    - amdgpu: update picasso firmware
    - amdgpu: update psp 13.0.0 firmware
    - amdgpu: update psp 13.0.10 firmware
    - amdgpu: update psp 13.0.11 firmware
    - amdgpu: update psp 13.0.14 firmware
    - amdgpu: update psp 13.0.4 firmware
    - amdgpu: update psp 13.0.5 firmware
    - amdgpu: update psp 13.0.6 firmware
    - amdgpu: update psp 13.0.7 firmware
    - amdgpu: update psp 13.0.8 firmware
    - amdgpu: update psp 14.0.0 firmware
    - amdgpu: update psp 14.0.1 firmware
    - amdgpu: update psp 14.0.2 firmware
    - amdgpu: update psp 14.0.3 firmware
    - amdgpu: update psp 14.0.4 firmware
    - amdgpu: update sienna cichlid firmware
    - amdgpu: update smu 13.0.7 firmware
    - amdgpu: update smu 14.0.2 firmware
    - amdgpu: update smu 14.0.3 firmware
    - amdgpu: update vangogh firmware
    - amdgpu: update vcn 4.0.0 firmware
    - amdgpu: update vcn 4.0.2 firmware
    - amdgpu: update vcn 4.0.4 firmware
    - amdgpu: update vcn 4.0.5 firmware
    - amdgpu: update vcn 5.0.0 firmware
    - amdgpu: update vega10 firmware
    - amdgpu: update vega12 firmware
    - amdgpu: update vega20 firmware
    - amdgpu: update yellow carp firmware
    - Amphion: Update vpu firmware
    - ath11k: IPQ5018 hw1.0: update to
      WLAN.HK.2.6.0.1-01300-QCAHKSWPL_SILICONZ-1
    - ath11k: WCN6855 hw2.0: update board-2.bin
    - ath12k: QCN9274 hw2.0: update board-2.bin
    - ath12k: WCN7850 hw2.0: update to
      WLAN.HMT.1.1.c5-00284-QCAHMTSWPL_V1.0_V2.0_SILICONZ-3
    - brcm: Add NVRAM file for Radxa Rock Pi X mini PC
    - cirrus: cs35l56: Add firmware for Cirrus Amps for some ASUS laptops
    - cirrus: cs35l56: Add firmware for Cirrus Amps for some Lenovo laptops
    - cirrus: cs35l56: Update firmware for Cirrus Amps for some Dell laptops
    - cirrus: cs35l56: Update firmware for Cirrus Amps for some Lenovo laptops
    - i915: Update GUC to v70.44.1 for i915 platforms
    - i915: Update Xe3LPD DMC to v2.23
    - intel: avs: Update topology file for Digital Microphone Array
    - intel: avs: Update topology file for HDAudio codecs
    - intel: avs: Update topology file for HDMI codecs
    - intel: avs: Update topology file for I2S Analog Devices 4567
    - intel: avs: Update topology file for I2S Dialog 7219


## firmware-nonfree 20250627

=== debian/changelog ===
firmware-nonfree (20250627-1) experimental; urgency=medium

  * New upstream version:
    - amdgpu: add arcturus IP discovery firmware
    - amdgpu: add gc 11.0.0 kicker firmware
    - amdgpu: add gc 9.5.0 firmware
    - amdgpu: add picasso ip discovery firmware
    - amdgpu: add psp 13.0.0 kicker firmware
    - amdgpu: add psp 13.0.12 firmware
    - amdgpu: add raven ip discovery firmware
    - amdgpu: add raven2 ip discovery firmware
    - amdgpu: add sdma 4.4.4 firmware
    - amdgpu: add smu 13.0.0 kicker firmware
    - amdgpu: add vcn 5.0.1 firmware
    - amdgpu: DMCUB updates for DCN401
    - amdgpu: update aldebaran firmware
    - amdgpu: update beige_goby firmware
    - amdgpu: update dimgrey_cavefish firmware
    - amdgpu: update dmcub fw for dcn32 and dcn401
    - amdgpu: update dmcub fw for dcn401
    - amdgpu: Update DMCUB fw for DCN401 & DCN315
    - amdgpu: update gc 10.3.6 firmware
    - amdgpu: update gc 11.0.0 firmware
    - amdgpu: update gc 11.0.1 firmware
    - amdgpu: update gc 11.0.2 firmware
    - amdgpu: update gc 11.0.3 firmware
    - amdgpu: update gc 11.0.4 firmware
    - amdgpu: update gc 11.5.0 firmware
    - amdgpu: update gc 11.5.1 firmware
    - amdgpu: update gc 11.5.2 firmware
    - amdgpu: update gc 12.0.0 firmware
    - amdgpu: update gc 12.0.1 firmware
    - amdgpu: update gc 9.4.3 firmware
    - amdgpu: update gc 9.4.4 firmware
    - amdgpu: update navi10 firmware
    - amdgpu: update navi12 firmware
    - amdgpu: update navi14 firmware
    - amdgpu: update navy flounder firmware
    - amdgpu: update psp 13.0.0 firmware
    - amdgpu: update psp 13.0.10 firmware
    - amdgpu: update psp 13.0.11 firmware
    - amdgpu: update psp 13.0.14 firmware
    - amdgpu: update psp 13.0.6 firmware
    - amdgpu: update psp 13.0.7 firmware
    - amdgpu: update psp 14.0.1 firmware
    - amdgpu: update psp 14.0.2 firmware
    - amdgpu: update psp 14.0.3 firmware
    - amdgpu: update psp 14.0.4 firmware
    - amdgpu: update renoir firmware
    - amdgpu: update sdma 7.0.0 firmware
    - amdgpu: update sdma 7.0.1 firmware
    - amdgpu: update sienna cichlid firmware
    - amdgpu: update smu 13.0.0 firmware
    - amdgpu: update smu 13.0.10 firmware
    - amdgpu: update smu 13.0.7 firmware
    - amdgpu: update smu 14.0.2 firmware
    - amdgpu: update smu 14.0.3 firmware
    - amdgpu: update vangogh firmware
    - amdgpu: update vcn 4.0.0 firmware
    - amdgpu: update vcn 4.0.2 firmware
    - amdgpu: update vcn 4.0.4 firmware
    - amdgpu: update vcn 4.0.5 firmware
    - amdgpu: update vcn 4.0.6 firmware
    - amdgpu: update vcn 5.0.0 firmware
    - amdgpu: update vega10 firmware
    - amdgpu: update vega12 firmware
    - amdgpu: update vega20 firmware
    - brcm: Fix symlinks for Khadas VIM SDIO wifi config
    - mediatek: Update mt8186 SCP firmware
    - qcom: add gpu firmwares for X1P42100 chipset
    - qcom: update firmware binary for SM8550
    - qcom: venus-5.4: add the firmware binary for qcs615
  * d/b/check_upstream.py: Recognise "MIT" licence in WHENCE

 -- Ben Hutchings <benh@debian.org>  Tue, 08 Jul 2025 17:22:09 +0200

## firmware-nonfree 20250708

=== debian/changelog ===
firmware-nonfree (20250708-1) experimental; urgency=medium

  * New upstream version:
    - amdgpu: Add DCN 3.6
    - amdgpu: Add GC 11.5.3
    - amdgpu: Add PSP 14.0.5
    - amdgpu: Add SDMA 6.1.3
    - mediatek MT7921: update bluetooth firmware to 20250625154126
    - qcom: Add sdx61 Foxconn vendor firmware image file
    - Revert "linux-firmware: Update firmware file for Intel Pulsar core"
      (regression in 20250613)
    - rtw89: 8852c: update fw to v0.27.128.0
    - rtw89: 8852c: update fw to v0.27.129.1
    - rtw89: 8922a: update fw to v0.35.80.0
    - update firmware for MT7921 WiFi device
    - xe: Add fan_control v203.0.0.0 for BMG
    - xe: First GuC release for Pantherlake
    - xe: First HuC release for Pantherlake

 -- Ben Hutchings <benh@debian.org>  Tue, 08 Jul 2025 18:22:27 +0200

=== debian/rules ===
#!/usr/bin/make -f
SHELL := sh -e
SOURCE := $(shell dpkg-parsechangelog -SSource)
VERSION := $(shell dpkg-parsechangelog -SVersion)
VERSION_UPSTREAM := $(shell echo "$(VERSION)" | sed -e 's,-[^-]*$$,,')
VERSION_BINNMU := $(shell echo "$(VERSION)" | sed -rne 's,.*\+b([0-9]+)$$,\1,p')
VERSION_SOURCE := $(patsubst %+b$(VERSION_BINNMU),%,$(VERSION))

GENCONTROL = debian/bin/gencontrol.py

# Nothing to build
build-indep build-arch build: debian/control

clean: debian/control
	dh_testdir
	rm -rf debian/build debian/lib/python/__pycache__ debian/lib/python/debian_linux/__pycache__
	dh_clean

binary-indep: build-indep
	dh_testdir
	./copy-firmware.sh -v debian/build/install
	cd debian/build && ../../dedup-firmware.sh install
	$(MAKE) -f debian/rules.gen binary-indep

binary-arch: build-arch

binary:	binary-indep binary-arch

CONTROL_FILES = debian/build/version-info $(wildcard debian/templates/*.in)
CONTROL_FILES += debian/bin/gencontrol.py debian/config/defines $(wildcard debian/config/*/defines) debian/modinfo.json

# debian/bin/gencontrol.py uses debian/changelog as input, but the
# output only depends on the source name and version.  To avoid
# frequent changes to debian/control.md5sum, include only those fields
# in the checksum.
debian/build/version-info: debian/changelog
	mkdir -p $(@D)
	printf >$@ 'Source: %s\nVersion: %s\n' $(SOURCE) $(VERSION_SOURCE)

debian/control debian/rules.gen: $(GENCONTROL) $(CONTROL_FILES)
ifeq ($(wildcard debian/control.md5sum),)
	$(MAKE) -f debian/rules debian/control-real
else
	md5sum --check debian/control.md5sum --status || \
		$(MAKE) -f debian/rules debian/control-real
endif

debian/control-real: $(GENCONTROL) $(CONTROL_FILES)
# We currently need to run {copy,dedup}-firmware.sh to get a complete
# list of symlinks to include in package descriptions.
	./copy-firmware.sh debian/build/install
	cd debian/build && ../../dedup-firmware.sh install
	$(GENCONTROL)
	md5sum $^ > debian/control.md5sum
	@echo
	@echo This target is made to fail intentionally, to make sure
	@echo that it is NEVER run during the automated build. Please
	@echo ignore the following error, the debian/control file has
	@echo been generated SUCCESSFULLY.
	@echo
	exit 1

DIR_ORIG = ../orig/$(SOURCE)-$(VERSION_UPSTREAM)
TAR_ORIG_NAME = $(SOURCE)_$(VERSION_UPSTREAM).orig.tar.xz
TAR_ORIG = $(firstword $(wildcard ../$(TAR_ORIG_NAME)) $(wildcard ../orig/$(TAR_ORIG_NAME)))

orig: $(DIR_ORIG)
	rsync --delete --exclude /debian --exclude /.git --link-dest=$(DIR_ORIG)/ -a $(DIR_ORIG)/ .
	QUILT_PATCHES='$(CURDIR)/debian/patches' QUILT_PC=.pc quilt push --quiltrc - -a -q --fuzz=0

$(DIR_ORIG):
ifeq ($(TAR_ORIG),)
	$(error Cannot find orig tarball $(TAR_ORIG_NAME))
else
	mkdir -p ../orig
	tar -C ../orig -xaf $(TAR_ORIG)
endif

maintainerclean:
	-rm debian/control debian/control.md5sum debian/rules.gen
	rm -f debian/*.bug-presubj
	-rm debian/*.hook.*
	rm -f debian/*.metainfo.xml
	-rm debian/*.preinst
	-rm debian/*.postinst
	-rm debian/*.templates

.PHONY: clean build-indep build-arch build binary-indep binary-arch binary \
	linux-support-name

## firmware-nonfree 20250808

=== av7110/Makefile ===
CC = arm-linux-gnueabi-gcc
LD = arm-linux-gnueabi-ld
OBJCOPY = arm-linux-gnueabi-objcopy

bootcode.bin: Boot.S
	$(CC) -mbig-endian -c Boot.S
	$(LD) -Ttext 0x2c000000 -EB -o Boot Boot.o
	$(OBJCOPY) -Obinary Boot bootcode.bin

clean:
	rm -f Boot.o Boot bootcode.bin

=== debian/changelog ===
firmware-nonfree (20250808-1) unstable; urgency=medium

  * New upstream version:
    - amdgpu: update dmcub fw for dcn314
    - amdgpu: update dmcub fw for various DCN version
    - amdgpu: Update GC 11.5.0 microcode
    - amdgpu: Update GC 11.5.1 microcode
    - amdgpu: Update GCN 4.0.5 microcode
    - amdgpu: Update SDMA 6.1.0 microcode
    - ath11k: QCA2066 hw2.1: update board-2.bin
    - ath11k: QCA2066 hw2.1: update to
      WLAN.HSP.1.1-03926.13-QCAHSPSWPL_V2_SILICONZ_CE-2.52297.9
    - ath11k: QCA6698AQ hw2.1: update to
      WLAN.HSP.1.1-04650-QCAHSPSWPL_V1_V2_SILICONZ_IOE-2
    - ath11k: WCN6855 hw2.0: update board-2.bin
    - ath12k: QCN9274 hw2.0: update to WLAN.WBE.1.5-01651-QCAHKSWPL_SILICONZ-1
    - ath12k: WCN7850 hw2.0: update to
      WLAN.HMT.1.1.c5-00302-QCAHMTSWPL_V1.0_V2.0_SILICONZ-1.115823.3
    - cirrus: cs35l41: Add Firmware for various ASUS commercial Laptops using
      CS35L41 HDA
    - cirrus: cs35l41: Update Firmware for Dell Oasis
    - cirrus: cs35l56: Add firmware for Cirrus CS35L56 for various Dell laptops
    - i915: Xe3LPD DMC v2.29
    - intel_vpu: Update NPU firmware
    - mediatek MT7925: update bluetooth firmware to 20250721233113
    - qcom: Add Audio topology for QCS6490 RB3Gen2
    - qcom: Add firmware binary for SM8750.
    - qcom: Add QCS6490 symlink for QUPv3 firmware
    - qcom: Add QDSP firmware file for Qualcomm QDU100 device.
    - qcom: Add QDU100 firmware image files required for booting.
    - qcom: Update DSP firmware for qcm6490 platform
    - qcom: Update gpu firmwares of QCS615 chipset
    - qcom: update Venus firmware file for v6.0
    - qcom: Update xbl_config firmware file.
    - rtw89: 8852b: update fw to v0.29.128.0
    - rtw89: 8852bt: update fw to v0.29.127.0
    - rtw89: 8852c: add regd fw element with version R72-R57
    - rtw89: 8922a: add regd fw element with version R72-R6
    - rtw89: 8922a: update BB parameter V49
    - Update firmware file for Intel BlazarI core
    - Update firmware file for Intel BlazarU core
    - Update firmware file for Intel Solar core
    - update firmware for MT7925 WiFi device
  * Unconditionally install firmware under /usr/lib/firmware
  * Refactor firmware installation to use dh_install, avoiding E2BIG
  * Add metainfo.xml files to dh_install file lists
  * Replace recursive makefiles with dh command
  * d/rules: Fix maintainerclean rule and add clean-generated rule
  * ipw2x00: Override lintian warning for missing homepage in AppStream file
  * qcom-soc: Override a new false positive warning from lintian
  * d/copyright: Delete or update some outdated file patterns
  * d/copyright: Exclude some more unwanted files
  * d/copyright: Add information for freely licensed firmware and scripts
  * d/s/lintian-overrides: Override file-without-copyright-information warning
    for license texts
  * d/copyright: Update license of qca/htbtfw20.tlv and qca/htnv20.bin
  * d/copyright: Comment which files the various Qualcomm licenses come from
  * d/copyright: Add other copyright holders for some Qualcomm and QCA firmware
  * d/copyright: Add information for remaining firmware files

 -- Ben Hutchings <benh@debian.org>  Fri, 15 Aug 2025 14:51:26 +0200

=== debian/control ===
Source: firmware-nonfree
Section: non-free-firmware/kernel
Priority: optional
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Uploaders: Bastian Blank <waldi@debian.org>, Steve Langasek <vorlon@debian.org>, maximilian attems <maks@debian.org>, Ben Hutchings <benh@debian.org>, Salvatore Bonaccorso <carnil@debian.org>
Standards-Version: 4.3.0
Build-Depends: debhelper-compat (= 13), rdfind
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/kernel-team/firmware-nonfree
Vcs-Git: https://salsa.debian.org/kernel-team/firmware-nonfree.git
XS-Autobuild: yes

Package: firmware-amd-graphics
Architecture: all
Depends: ${misc:Depends}
Suggests: initramfs-tools
Multi-Arch: foreign
Description: Binary firmware for AMD/ATI graphics and NPU chips
 This package contains the binary firmware for AMD/ATI graphics and NPU
 chips supported by the radeon, amdgpu, amdxdna and r128 drivers.
Homepage: https://gitlab.com/kernel-firmware/linux-firmware

Package: firmware-atheros
Architecture: all
Depends: ${misc:Depends}
Suggests: initramfs-tools
Multi-Arch: foreign
Description: Binary firmware for Qualcomm Atheros wireless cards
 This package contains the binary firmware for USB wireless network and
 Bluetooth cards supported by the ar5523, ath3k, ath6kl_sdio, ath6kl_usb,
 ath10k, ath11k, or wilc6210 drivers.
Homepage: https://gitlab.com/kernel-firmware/linux-firmware

Package: firmware-bnx2
Architecture: all
Depends: ${misc:Depends}
Suggests: initramfs-tools
Multi-Arch: foreign
Description: Binary firmware for Broadcom NetXtremeII
 This package contains the binary firmware for Broadcom NetXtremeII network
 adapters supported by the bnx2 driver.
Homepage: https://gitlab.com/kernel-firmware/linux-firmware

Package: firmware-bnx2x
Architecture: all
Depends: ${misc:Depends}
Suggests: initramfs-tools
Multi-Arch: foreign
Description: Binary firmware for Broadcom NetXtreme II 10Gb
 This package contains the binary firmware for Broadcom NetXtreme II 10Gb
 network adapters supported by the bnx2x driver.
Homepage: https://gitlab.com/kernel-firmware/linux-firmware

Package: firmware-brcm80211
Architecture: all
Depends: ${misc:Depends}
Suggests: initramfs-tools
Multi-Arch: foreign
Description: Binary firmware for Broadcom/Cypress 802.11 wireless cards
 This package contains the binary firmware for wireless network cards
 supported by the brcmsmac or brcmfmac driver.
Homepage: https://gitlab.com/kernel-firmware/linux-firmware

Package: firmware-cavium
Architecture: all
Depends: ${misc:Depends}
Suggests: initramfs-tools
Multi-Arch: foreign
Description: Binary firmware for Cavium Ethernet adapters
 This package contains the binary firmware for Cavium crypto and Ethernet
 adapters supported by the nitrox and liquidio drivers.
Homepage: https://gitlab.com/kernel-firmware/linux-firmware

Package: firmware-cirrus
Architecture: all
Depends: ${misc:Depends}
Suggests: initramfs-tools
Multi-Arch: foreign
Description: Binary firmware for Cirrus Logic audio chips
 This package contains the binary firmware for Cirrus Logic audio chips
 like smart amplifiers, converters and DSPs.
Homepage: https://gitlab.com/kernel-firmware/linux-firmware

Package: firmware-intel-graphics
Architecture: all
Depends: ${misc:Depends}
Suggests: initramfs-tools
Conflicts: firmware-misc-nonfree (<< 20230625-3~)
Multi-Arch: foreign
Description: Binary firmware for Intel iGPUs and IPUs
 This package contains the binary firmware for Intel integrated GPUs and
 IPUs supported by the i915, intel-ipu6-isys, ipu3-imgu, mei-vsc-hw, and xe
 drivers.
Homepage: https://gitlab.com/kernel-firmware/linux-firmware

Package: firmware-intel-misc
Architecture: all
Depends: ${misc:Depends}
Suggests: initramfs-tools
Conflicts: firmware-misc-nonfree (<< 20230625-3~)
Multi-Arch: foreign
Description: Binary firmware for miscellaneous Intel devices and chips
 This package contains the binary firmware for miscellaneous Intel devices
 and chips, which do not belong in the iwlwifi, ipw2x00, intel-graphics or
 intel-sound packages.  This includes for example Omni-Path,
 Ethernet/Network chips/devices, and QuickAssist Technology crypto
 accelerators.
Homepage: https://gitlab.com/kernel-firmware/linux-firmware

Package: firmware-intel-sound
Architecture: all
Depends: ${misc:Depends}
Suggests: initramfs-tools
Multi-Arch: foreign
Description: Binary firmware for Intel sound DSPs
 This package contains the binary firmware for Intel SST sound DSPs
 supported by the snd-soc-sst-acpi or snd-intel-sst-acpi driver.
Homepage: https://gitlab.com/kernel-firmware/linux-firmware

Package: firmware-ipw2x00
Architecture: all
Pre-Depends: debconf | debconf-2.0
Depends: ${misc:Depends}
Suggests: initramfs-tools
Multi-Arch: foreign
Description: Binary firmware for Intel Pro Wireless 2100, 2200 and 2915
 This package contains the binary firmware for Intel Pro Wireless 2100,
 2200 and 2915 cards supported by the ipw2100 and ipw2200 drivers.
 .
 This firmware is covered by the Intel Pro Wireless 2100 and 2200/2915
 License.  You must agree to the terms of this license before it is
 installed.

Package: firmware-ivtv
Architecture: all
Pre-Depends: debconf | debconf-2.0
Depends: ${misc:Depends}
Suggests: initramfs-tools
Multi-Arch: foreign
Description: Binary firmware for iTVC15-family MPEG codecs (ivtv and pvrusb2 drivers)
 This package contains the binary firmware for TV cards with Conexant
 iTVC15-family MPEG codecs, supported by the ivtv and pvrusb2 drivers.
 .
 This firmware is covered by the Hauppauge End-User Firmware License
 Agreement.  You must agree to the terms of this license before it is
 installed.
Homepage: https://web.archive.org/web/20150508162618/http://dl.ivtvdriver.org:80/ivtv/firmware/

Package: firmware-iwlwifi
Architecture: all
Depends: ${misc:Depends}
Suggests: initramfs-tools
Multi-Arch: foreign
Description: Binary firmware for Intel Wireless cards
 This package contains the binary firmware for Intel Wireless cards
 supported by the iwl3945, iwl4965, and iwlwifi drivers.
Homepage: https://gitlab.com/kernel-firmware/linux-firmware

Package: firmware-libertas
Architecture: all
Provides: libertas-firmware
Depends: ${misc:Depends}
Recommends: firmware-marvell-prestera
Suggests: initramfs-tools
Replaces: libertas-firmware
Multi-Arch: foreign
Description: Binary firmware for Marvell wireless cards
 This package contains the binary firmware for wireless network cards with
 Marvell and NXP 88W8xxx chips supported by the libertas_cs, libertas_sdio,
 libertas_spi, libertas_tf_usb, mwifiex_pcie, mwifiex_sdio, mwifiex_usb,
 mwl8k and usb8xxx drivers.
Homepage: https://gitlab.com/kernel-firmware/linux-firmware

Package: firmware-linux
Architecture: all
Section: non-free-firmware/metapackages
Depends: firmware-linux-free, firmware-linux-nonfree (= ${binary:Version}), ${misc:Depends}
Recommends: intel-microcode, amd64-microcode
Description: Binary firmware for various drivers in the Linux kernel (metapackage)
 This package depends on both free and non-free firmware which may be used
 with drivers in the Linux kernel.

Package: firmware-linux-nonfree
Architecture: all
Section: non-free-firmware/metapackages
Depends: firmware-misc-nonfree (= ${binary:Version}), firmware-amd-graphics (= ${binary:Version}), ${misc:Depends}
Recommends: intel-microcode, amd64-microcode
Description: Binary firmware for various drivers in the Linux kernel (metapackage)
 This package depends on non-free firmware which may be used with drivers
 in the Linux kernel.

Package: firmware-marvell-prestera
Architecture: all
Depends: ${misc:Depends}
Suggests: initramfs-tools
Conflicts: firmware-libertas (<< 20230625-3~)
Multi-Arch: foreign
Description: Binary firmware for Marvell Prestera ASIC devices
 This package contains the binary firmware for Marvell Switchdev solution
 Prestera Ethernet switches.
Homepage: https://gitlab.com/kernel-firmware/linux-firmware

Package: firmware-mediatek
Architecture: all
Depends: ${misc:Depends}
Suggests: initramfs-tools
Conflicts: firmware-misc-nonfree (<< 20230625-3~)
Multi-Arch: foreign
Description: Binary firmware for MediaTek and Ralink chips for networking, SoCs and media
 This package contains the binary firmware for MediaTek devices such as
 ethernet/Wi-Fi/Bluetooth chips, SoCs and other chips and devices made by
 MediaTek and Ralink.
Homepage: https://gitlab.com/kernel-firmware/linux-firmware

Package: firmware-misc-nonfree
Architecture: all
Provides: firmware-adi, firmware-ralink
Depends: ${misc:Depends}
Recommends: firmware-nvidia-graphics, firmware-intel-graphics, firmware-intel-misc, firmware-mediatek
Suggests: initramfs-tools
Conflicts: firmware-ti-connectivity (<< 20230625-3~)
Multi-Arch: foreign
Description: Binary firmware for various drivers in the Linux kernel
 This package contains the binary firmware for various drivers in the Linux
 kernel.  This is a collection of firmware blobs which are not individually
 large enough to warrant a standalone package.
Homepage: https://gitlab.com/kernel-firmware/linux-firmware

Package: firmware-myricom
Architecture: all
Depends: ${misc:Depends}
Suggests: initramfs-tools
Multi-Arch: foreign
Description: Binary firmware for Myri-10G Ethernet adapters
 This package contains the binary firmware for Myricom Myri-10G Ethernet
 adapters supported by the myri10ge driver.
Homepage: https://gitlab.com/kernel-firmware/linux-firmware

Package: firmware-netronome
Architecture: all
Depends: ${misc:Depends}
Suggests: initramfs-tools
Multi-Arch: foreign
Description: Binary firmware for Netronome network adapters
 This package contains the binary firmware for Netronome network adapters
 supported by the nfp driver.
Homepage: https://gitlab.com/kernel-firmware/linux-firmware

Package: firmware-netxen
Architecture: all
Depends: ${misc:Depends}
Suggests: initramfs-tools
Multi-Arch: foreign
Description: Binary firmware for QLogic Intelligent Ethernet (3000 and 3100 Series)
 This package contains the binary firmware for QLogic (formerly NetXen)
 Intelligent network adapters supported by the netxen_nic and qlcnic
 drivers.
Homepage: https://gitlab.com/kernel-firmware/linux-firmware

Package: firmware-nvidia-graphics
Architecture: all
Depends: ${misc:Depends}
Suggests: initramfs-tools
Breaks: initramfs-tools (<< 0.142+deb12u1)
Conflicts: firmware-misc-nonfree (<< 20230625-3~)
Multi-Arch: foreign
Description: Binary firmware for Nvidia GPU chips
 This package contains the binary firmware for Nvidia graphics chips using
 the nouveau driver.
Homepage: https://gitlab.com/kernel-firmware/linux-firmware

Package: firmware-qcom-media
Architecture: all
Section: non-free-firmware/oldlibs
Depends: firmware-qcom-soc, ${misc:Depends}
Multi-Arch: foreign
Description: Binary firmware for Qualcomm graphics/video (dummy package)
 This is a dummy transitional package.  It can be safely removed.

Package: firmware-qcom-soc
Architecture: all
Depends: ${misc:Depends}
Recommends: firmware-atheros
Suggests: initramfs-tools
Replaces: firmware-qcom-media (<< 20200421-1~)
Breaks: firmware-qcom-media (<< 20200421-1~)
Multi-Arch: foreign
Description: Binary firmware for Qualcomm SoCs
 This package contains the binary firmware for Qualcomm Snapdragon SoCs.
Homepage: https://gitlab.com/kernel-firmware/linux-firmware

Package: firmware-qlogic
Architecture: all
Depends: ${misc:Depends}
Suggests: initramfs-tools
Multi-Arch: foreign
Description: Binary firmware for QLogic HBAs
 This package contains the binary firmware for QLogic Infiniband, SCSI,
 Fibre Channel/FCoE adapters and Converged Network Adapters supported by
 the bfa, bna, ip_iband, qed, qla1280 and qla2xxx drivers.
Homepage: https://gitlab.com/kernel-firmware/linux-firmware

Package: firmware-realtek
Architecture: all
Depends: ${misc:Depends}
Suggests: initramfs-tools
Replaces: firmware-realtek-rtl8723cs-bt
Conflicts: firmware-realtek-rtl8723cs-bt
Multi-Arch: foreign
Description: Binary firmware for Realtek network and audio chips

=== debian/rules ===
--- 
+++ 
@@ -8,23 +8,23 @@
 
 GENCONTROL = debian/bin/gencontrol.py
 
-# Nothing to build
-build-indep build-arch build: debian/control
+binary binary-arch binary-indep build build-arch build-indep clean: debian/control
+	dh $@
 
-clean: debian/control
-	dh_testdir
-	rm -rf debian/build debian/lib/python/__pycache__ debian/lib/python/debian_linux/__pycache__
-	dh_clean
+override_dh_auto_test:
+	:
 
-binary-indep: build-indep
-	dh_testdir
+CLEAN_PATTERNS := debian/build debian/lib/python/__pycache__ debian/lib/python/debian_linux/__pycache__ $$(find debian -maxdepth 1 -type d -name 'firmware-*') debian/*.substvars
+
+override_dh_auto_clean:
+	rm -rf $(CLEAN_PATTERNS)
+
+override_dh_auto_install:
 	./copy-firmware.sh -v debian/build/install
 	cd debian/build && ../../dedup-firmware.sh install
-	$(MAKE) -f debian/rules.gen binary-indep
 
-binary-arch: build-arch
-
-binary:	binary-indep binary-arch
+override_dh_installdocs:
+	dh_installdocs -XTODO
 
 CONTROL_FILES = debian/build/version-info $(wildcard debian/templates/*.in)
 CONTROL_FILES += debian/bin/gencontrol.py debian/config/defines $(wildcard debian/config/*/defines) debian/modinfo.json
@@ -37,7 +37,7 @@
 	mkdir -p $(@D)
 	printf >$@ 'Source: %s\nVersion: %s\n' $(SOURCE) $(VERSION_SOURCE)
 
-debian/control debian/rules.gen: $(GENCONTROL) $(CONTROL_FILES)
+debian/control: $(GENCONTROL) $(CONTROL_FILES)
 ifeq ($(wildcard debian/control.md5sum),)
 	$(MAKE) -f debian/rules debian/control-real
 else
@@ -76,14 +76,24 @@
 	tar -C ../orig -xaf $(TAR_ORIG)
 endif
 
-maintainerclean:
-	-rm debian/control debian/control.md5sum debian/rules.gen
-	rm -f debian/*.bug-presubj
-	-rm debian/*.hook.*
-	rm -f debian/*.metainfo.xml
-	-rm debian/*.preinst
-	-rm debian/*.postinst
-	-rm debian/*.templates
+clean-generated:
+	rm -rf $(CLEAN_PATTERNS)
+# We cannot use dh_clean here because it requires debian/control to exist
+	rm -rf debian/.debhelper debian/*.debhelper* debian/debhelper-build-stamp debian/files debian/generated.*
+	rm -f \
+		debian/control \
+		debian/control.md5sum \
+		debian/*.bug-presubj \
+		debian/*.install \
+		debian/*.metainfo.xml \
+		debian/*.postinst \
+		debian/*.postrm \
+		debian/*.preinst \
+		debian/*.prerm \
+		debian/*.templates
+
+maintainerclean: clean-generated
+	rm -rf $(filter-out debian .git, $(wildcard * .[^.]*))
 
 .PHONY: clean build-indep build-arch build binary-indep binary-arch binary \
-	linux-support-name
+	clean-generated maintainerclean

=== debian/watch ===
version=3
opts="mode=git, gitmode=shallow, pgpmode=gittag" \
https://gitlab.com/kernel-firmware/linux-firmware.git \
refs/tags/([0-9]*) debian

## firmware-nonfree 20250917

=== debian/changelog ===
firmware-nonfree (20250917-1) unstable; urgency=medium

  [ Ben Hutchings ]
  * d/salsa-ci.yml: Update to work with common pipeline using sbuild
  * Remove Steve Langasek from Uploaders (RIP)
  * d/copyright, intel-misc, iwlwifi: Update for renaming of Intel firmware

  [ Kathara Sasikumar ]
  * New upstream version:
    - amdgpu: add GC 12.0.1 kicker firmware
    - amdgpu: add PSP 14.0.3 firmware
    - amdgpu: add SMU 14.0.3 kicker firmware
    - amdgpu: DMCUB updates for various ASICs
    - amdgpu: update aldebaran firmware
    - amdgpu: update beige goby firmware
    - amdgpu: update dimgrey cavefish firmware
    - amdgpu: update dimgrey_cavefish firmware
    - amdgpu: update GC 10.3.6 firmware
    - amdgpu: update GC 10.3.7 firmware
    - amdgpu: update GC 11.0.0 firmware
    - amdgpu: update GC 11.0.1 firmware
    - amdgpu: update GC 11.0.2 firmware
    - amdgpu: update GC 11.0.3 firmware
    - amdgpu: update GC 11.0.4 firmware
    - amdgpu: update GC 11.5.0 firmware
    - amdgpu: update GC 11.5.1 firmware
    - amdgpu: update GC 11.5.2 firmware
    - amdgpu: update GC 11.5.3 firmware
    - amdgpu: update GC 12.0.0 firmware
    - amdgpu: update GC 12.0.1 firmware
    - amdgpu: update GC 9.4.3 firmware
    - amdgpu: update GC 9.4.4 firmware
    - amdgpu: update GC 9.5.0 firmware
    - amdgpu: update green sardine firmware
    - amdgpu: Update ISP FW for isp v4.1.1
    - amdgpu: update navi10 firmware
    - amdgpu: update navi12 firmware
    - amdgpu: update navi14 firmware
    - amdgpu: update navy flounder firmware
    - amdgpu: update PSP 13.0.0 firmware
    - amdgpu: update PSP 13.0.0 kicker firmware
    - amdgpu: update PSP 13.0.10 firmware
    - amdgpu: update PSP 13.0.11 firmware
    - amdgpu: update PSP 13.0.12 firmware
    - amdgpu: update PSP 13.0.14 firmware
    - amdgpu: update PSP 13.0.4 firmware
    - amdgpu: update PSP 13.0.5 firmware
    - amdgpu: update PSP 13.0.6 firmware
    - amdgpu: update PSP 13.0.7 firmware
    - amdgpu: update PSP 13.0.8 firmware
    - amdgpu: update PSP 14.0.0 firmware
    - amdgpu: update PSP 14.0.1 firmware
    - amdgpu: update PSP 14.0.2 firmware
    - amdgpu: update PSP 14.0.3 firmware
    - amdgpu: update PSP 14.0.3 kicker firmware
    - amdgpu: update PSP 14.0.4 firmware
    - amdgpu: update PSP 14.0.5 firmware
    - amdgpu: update renoir firmware
    - amdgpu: update SDMA 6.0.0 firmware
    - amdgpu: update SDMA 6.0.1 firmware
    - amdgpu: update SDMA 6.0.2 firmware
    - amdgpu: update SDMA 6.0.3 firmware
    - amdgpu: update SDMA 6.1.1 firmware
    - amdgpu: update SDMA 6.1.2 firmware
    - amdgpu: update SDMA 6.1.3 firmware
    - amdgpu: update SDMA 7.0.0 firmware
    - amdgpu: update SDMA 7.0.1 firmware
    - amdgpu: update sienna cichlid firmware
    - amdgpu: update SMU 13.0.0 firmware
    - amdgpu: update SMU 13.0.0 kicker firmware
    - amdgpu: update SMU 13.0.10 firmware
    - amdgpu: update SMU 14.0.2 firmware
    - amdgpu: update vangogh firmware
    - amdgpu: update VCN 3.1.2 firmware
    - amdgpu: update VCN 4.0.0 firmware
    - amdgpu: update VCN 4.0.2 firmware
    - amdgpu: update VCN 4.0.3 firmware
    - amdgpu: update VCN 4.0.4 firmware
    - amdgpu: update VCN 4.0.5 firmware
    - amdgpu: update VCN 4.0.6 firmware
    - amdgpu: update VCN 5.0.0 firmware
    - amdgpu: update VCN 5.0.1 firmware
    - amdgpu: update vega10 firmware
    - amdgpu: update vega12 firmware
    - amdgpu: update vega20 firmware
    - amdgpu: update VPE 6.1.0 firmware
    - amdgpu: update vpe 6.1.1 firmware
    - amdgpu: update VPE 6.1.3 firmware
    - amdgpu: update yellow carp firmware
    - ath11k: Support WCN6855 hw2.1 with NFA firmware variant
    - ath11k: WCN6855 hw2.0@nfa765: add to
      WLAN.HSP.1.1-04685-QCAHSPSWPL_V1_V2_SILICONZ_IOE-1
    - ath12k: WCN7850 hw2.0@ncm865: add to
      WLAN.IOE_HMT.1.1-00018-QCAHMTSWPL_V1.0_V2.0_SILICONZ-1
    - cirrus: cs35l41: Move entries to correct driver section in WHENCE
    - cirrus: cs35l56: Add firmware for Cirrus Amps for some Lenovo laptops
    - cirrus: cs35l56: Update firmware for Cirrus Amps for some Lenovo laptops
    - cs35l56: Rename firmware for Thinkbook 16P Gen6 (17AA3921) without 
      multiple speakers
    - firmware: qcom: Reorder VPU firmware entries in WHENCE
    - Fix link entry for qat_895xcc.bin
    - i915: Update GUC to v70.49.4 for ADL-P, DG1, DG2, MTL, TGL
    - intel/ish: Add firmware for LENOVO THINKPAD X1 2-in-1 Gen 10
    - intel_vpu: Update NPU firmware
    - iwlwifi: add Bz-HR FW for core90-93 release
    - iwlwifi: add Bz/gl FW for core97-84 release
    - iwlwifi: update cc/Qu/QuZ firmwares for core97-84 release
    - iwlwifi: update ty/So/Ma firmwares for core97-84 release
    - Link rtl8723b_config.bin to rtl8723bs
    - mediatek MT7922: update bluetooth firmware to 20250903123504
    - mediatek MT7925:update bluetooth firmware to 20250825220109
      Update binary firmware for MT7925 BT devices.
    - mediatek: Add MT8189 SCP firmware
    - Move all iwlwifi top level files to intel/ directory
    - Move QAT firmware to intel/ subdirectory
    - panthor: Add firmware for more Mali GPUs
    - qca: Update Bluetooth WCN6750 1.1.3-00069 firmware to 1.1.3-00091
    - qcom: add ADSP firmware for qcs615 platform
    - qcom: Add Audio topology for LEMANS-EVK
    - qcom: Add Audio topology for MONACO-EVK
    - qcom: add CDSP firmware for qcs615 platform
    - qcom: add CDSP firmware for x1e80100 platform
    - qcom: Add firmware binary for SM8650.
    - qcom: move Monaco EVK topology from qcs8275 to qcs8300 subdir
    - qcom: vpu: update firmware binaries to fix encoder drain handling
    - realtek: rt1321: Add patch firmware of MCU
    - Revert "cs35l56: Rename firmware for Thinkbook 16P Gen6 (17AA3921) without 
      multiple speakers"
    - Revert "intel/ish: Add firmware for LENOVO THINKPAD X1 2-in-1 Gen 10"
    - rtl_bt: Update RTL8822C BT USB firmware to 0x2B66_D962
    - rtw89: 8852c: update fw to v0.27.129.3
    - rtw89: 8852c: update fw to v0.27.129.4


=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: non-free-firmware/kernel
 Priority: optional
 Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
-Uploaders: Bastian Blank <waldi@debian.org>, Steve Langasek <vorlon@debian.org>, maximilian attems <maks@debian.org>, Ben Hutchings <benh@debian.org>, Salvatore Bonaccorso <carnil@debian.org>
+Uploaders: Bastian Blank <waldi@debian.org>, maximilian attems <maks@debian.org>, Ben Hutchings <benh@debian.org>, Salvatore Bonaccorso <carnil@debian.org>
 Standards-Version: 4.3.0
 Build-Depends: debhelper-compat (= 13), rdfind
 Rules-Requires-Root: no
@@ -308,3 +308,4 @@
 Conflicts: firmware-realtek-rtl8723cs-bt
 Multi-Arch: foreign
 Description: Binary firmware for Realtek network and audio chips
+ This package contains the binary firmware for Realtek Ethernet, Wi-Fi,

## firmware-nonfree 20251011

=== debian/changelog ===
firmware-nonfree (20251011-1) unstable; urgency=medium

  [ Kathara Sasikumar ]
  * New upstream version:
    - Add Dell ISH firmware for Intel Lunar Lake systems
    - amdgpu: DMCUB updates for various ASICs
    - ath12k: WCN7850 hw2.0: update board-2.bin
    - intel/ish:Add ISH firmware file for Intel Lunar Lake platform
    - intel_vpu: Update NPU firmware
    - mediatek: mtk_wed: drop links for mt7988
    - powervr: update firmware for Imagination Technologies BXS-4-64 GPU
    - qca: Update Bluetooth WCN6750 1.1.3-00091 firmware to 1.1.3-00100
    - qcom: Add audio topology and ADSP firmware for qcs6490-radxa-dragon-q6a
    - qcom: Add Audio topology for HAMOA-EVK
    - qcom: add CDSP firmware for kaanapali platform
    - qcom: Add firmwares for Kaanapali GPU
    - qcom: Fix QCS615 chipset's GPU secure fw
    - qcom: move LEMANS EVK firmware to correct location
    - qcom: Update A623 GMU fw
    - qcom: Update aic100 firmware files
    - qcom: Update DSP firmware for qcs8300 platform.
    - qcom: Update DSP firmware for sa8775p platform
    - qcom: Update DSP firmware for sa8775p platform.
    - qcom: vpu: add video firmware for Kaanapali
    - qcom: vpu: update video firmware binary for SM8550
    - ql2500_fw: update ISP25xx Firmware
    - Revert "amdgpu: update gc 10.3.6 firmware"
    - rtl_bt: Update RTL8852BT/RTL8852BE-VT BT USB FW to 0x3BAC_ADBA
    - Update VCN for Navi1x, Green Sardine and Renoir
    - WHENCE: remove link for Kaanapali video firmware
  * intel-misc: Include Dell ISH firmware
  * intel-misc: Include HP ISH firmware
  * atheros: Add ath11k WCN6855/NFA765 firmware

  [ Diederik de Haas ]
  * misc-nonfree: Include all Arm Mali firmware (Closes: #1118195)

  [ Ben Hutchings ]
  * d/rules: Only deduplicate files that are packaged
  * d/rules: Check for broken symlinks among installed firmware
  * intel-misc: Include Lenovo ThinkPad X1 2-in-1 Gen 10 ISH firmware

 -- Ben Hutchings <benh@debian.org>  Sun, 02 Nov 2025 14:24:41 +0100

## firmware-nonfree 20251021

=== debian/changelog ===
firmware-nonfree (20251021-1~mx25ahs) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 04 Nov 2025 14:05:14 -0800

firmware-nonfree (20251021-1) unstable; urgency=medium

  * New upstream version:
    - Add ISH firmware file for Intel Pather Lake platform
    - amdgpu: DMCUB updates for various ASICs
    - i915: Xe2LPD DMC v2.29
    - i915: Xe3LPD DMC v2.32
    - i915: Xe3LPD_3002 DMC v2.27
    - Intel IPU7: Update product signed firmware binary
    - intel: qat: Fix missing link
    - iwlwifi: add Bz/Fm and gl FW for core98-161 release
    - iwlwifi: update Bz/Hr and Bz/Gf firmwares for core98-161 release
    - iwlwifi: update cc/Qu/QuZ firmwares for core98-161 release
    - iwlwifi: update ty/So/Ma firmwares for core98-161 release
    - nvidia: add generic bootloader for GSP-enabled systems
    - QCA: Update Bluetooth WCN6856 firmware 2.1.0-00653 to 2.1.0-00659
    - qcom: sync audioreach firmwares from v1.0.0 build
    - qcom: vpu: rename firmware binaries
    - Revert "linux-firmware: update firmware for MT7922 WiFi device" (Closes:
      #1118199)
    - Update firmware file for Intel BlazarI core
    - Update firmware file for Intel BlazarU core
    - Update firmware file for Intel Magnetar core
    - WHENCE: nvidia: rearrange GSP-RM firmware lines
  * nvidia-graphics: Handle dir-to-symlink change of nvidia/ad10{3,4,6,7}
    (Closes: #1112208)

 -- Ben Hutchings <benh@debian.org>  Mon, 03 Nov 2025 00:01:12 +0100

=== debian/rules ===
--- 
+++ 
@@ -21,10 +21,21 @@
 
 override_dh_auto_install:
 	./copy-firmware.sh -v debian/build/install
-	cd debian/build && ../../dedup-firmware.sh install
 
 override_dh_installdocs:
 	dh_installdocs -XTODO
+
+execute_after_dh_install:
+# Deduplicate firmware files within each binary package
+	cd debian/build && \
+	for dir in ../firmware-*/usr/lib/firmware; do \
+		../../dedup-firmware.sh "$$dir"; \
+	done
+# Check for any broken symlinks.  This excludes the intentional
+# cross-package symlinks from firmware-qcom-soc to firmware-atheros,
+# which it recommends.
+	! find debian/firmware-*/usr/lib/firmware -xtype l \
+	| grep -Ev '^debian/firmware-qcom-soc/usr/lib/firmware/qcom/.*/w(lanmdsp|pss)\.mbn$$'
 
 CONTROL_FILES = debian/build/version-info $(wildcard debian/templates/*.in)
 CONTROL_FILES += debian/bin/gencontrol.py debian/config/defines $(wildcard debian/config/*/defines) debian/modinfo.json
@@ -46,10 +57,9 @@
 endif
 
 debian/control-real: $(GENCONTROL) $(CONTROL_FILES)
-# We currently need to run {copy,dedup}-firmware.sh to get a complete
-# list of symlinks to include in package descriptions.
+# We currently need to run copy-firmware.sh to get a complete list of
+# files to be installed.
 	./copy-firmware.sh debian/build/install
-	cd debian/build && ../../dedup-firmware.sh install
 	$(GENCONTROL)
 	md5sum $^ > debian/control.md5sum
 	@echo

## firmware-nonfree 20251111

=== debian/changelog ===
firmware-nonfree (20251111-1) unstable; urgency=medium

  * New upstream version:
    - add firmware for mt7987 internal 2.5G ethernet phy
    - amdgpu: DMCUB updates for various ASICs
    - ASoC: tas2781: Update dsp firmware for HP and ASUS projects
    - cirrus: cs35l41: Rename various Asus Laptop firmware files to not have
      Speaker ID
    - Create audio folder in ti folder, and move all the audio firmwares into
      it
    - i915: Update GUC to v70.53.0 for DG2, MTL
    - mediatek MT7920: update bluetooth firmware to 20251020151255
    - mediatek MT7922: update bluetooth firmware to 20251020143443
    - mediatek MT7925: update bluetooth firmware to 20251015213201
    - qcom: add ADSP firmware for kaanapali platform
    - qcom: add SOCCP firmware for kaanapali platform
    - Renaming the file to cover a wide range of HP Lunar Lake system.
    - rtl_bt: Add firmware and config files for RTL8761CUV
    - rtl_bt: Update RTL8922A BT USB firmware to 0x41C0_C905
    - rtl_nic: add firmware rtl8125k-1
    - rtw88: 8822b: Update firmware to v30.20.0
    - rtw89: 8851b: update fw to v0.29.41.5
    - Revert "rtw89: 8852b: update fw to v0.29.128.0" (regression in 20250808)
    - rtw89: 8852b: update fw to v0.29.128.0 with format suffix -2
    - rtw89: 8852b: update fw to v0.29.29.14
    - rtw89: 8852bt: update fw to v0.29.122.1
    - Revert "rtw89: 8852bt: update fw to v0.29.127.0" (regression in 20250808)
    - rtw89: 8852bt: update fw to v0.29.127.0 with format suffix -1
    - Update firmware file for Intel BlazarI core
    - Update firmware file for Intel BlazarU core
    - update firmware for MT7920 WiFi device
    - update firmware for MT7922 WiFi device
    - update firmware for MT7925 WiFi device
    - xe: Update GUC to v70.53.0 for BMG, LNL, PTL
  * misc-nonfree: Include the new ti/audio dir instead of ti/tas{2563,2781}
  * d/rules: Clean debian/build/install in the debian/control-real rule

 -- Ben Hutchings <benh@debian.org>  Mon, 24 Nov 2025 14:13:22 +0100

=== debian/rules ===
--- 
+++ 
@@ -59,6 +59,7 @@
 debian/control-real: $(GENCONTROL) $(CONTROL_FILES)
 # We currently need to run copy-firmware.sh to get a complete list of
 # files to be installed.
+	rm -rf debian/build/install
 	./copy-firmware.sh debian/build/install
 	$(GENCONTROL)
 	md5sum $^ > debian/control.md5sum
